from sqlalchemy import Column, Integer, VARCHAR
from sqlalchemy.orm import relationship

from app.domain.models.base import BaseModel
from app.settings import settings


class MailingDeliveryMethod(BaseModel):
    __tablename__ = 'mailing_delivery_methods'
    __table_args__ = {"schema": settings.SCHEMA}

    title = Column(VARCHAR(200), nullable=False)

    mailing = relationship('MailingOption', back_populates='method')
